package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.CardAuthRecord;
import com.ruoyi.xq.dto.admin.authRecord.CardAuthRecordAdminVo;
import com.ruoyi.xq.dto.common.faceauth.CommitAuthRecordResp;
import com.ruoyi.xq.tencent.CreateAuthResp;
import com.tencentcloudapi.faceid.v20180301.models.GetDetectInfoEnhancedResponse;

/**
 * 实名认证管理Service接口
 *
 * @author 77
 * @date 2024-04-29
 */
public interface CardAuthRecordService extends IService<CardAuthRecord> {
    CreateAuthResp createAuthRecord(String orderNo, String redirectUrl);

    CommitAuthRecordResp commitAuthRecord(String bizToken);

    boolean updateImage(CardAuthRecord cardAuthRecord, GetDetectInfoEnhancedResponse detectInfo);

    boolean refreshUserCardByAdmin(Long authRecordId);

    boolean updateCardRecordSuccess(CardAuthRecord cardAuthRecord, GetDetectInfoEnhancedResponse detectInfo);

    Page<CardAuthRecordAdminVo> pageAdmin(PageQuery pageQuery, CardAuthRecordAdminVo bo);
}
